from gpiozero import MotionSensor
from datetime import datetime
from picamera2 import Picamera2
from signal import pause

sensor = MotionSensor(4)
camera = Picamera2()

def capture():
    timestamp = datetime.now().isoformat()
    camera.start_and_capture_file("/home/nao/{}.jpg".format(timestamp))

sensor.when_motion = capture
pause()